Skip to content

Create an incoming webhook configuration

POST
/api/v1/incoming-webhooks
curl --request POST \
--url https://external-api.moja-ai.com/api/v1/incoming-webhooks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "name": "example", "description": "example", "type": "call_data", "lifespan": 3600, "caller_id_match_days": 7, "external_id": "example" }'
X-API-Key
Any of:
string
Media typeapplication/json
IncomingWebhookCreate
object
name
required
Name
string
>= 1 characters <= 255 characters
description
Any of:
string
type
required
Type
string
Allowed values: call_data update_revenue update_tags update_fields
lifespan
Lifespan

Lifespan in seconds for call_data type

integer
default: 3600
caller_id_match_days
Caller Id Match Days
integer
default: 7 >= 1 <= 7
external_id
Any of:
string
>= 1 characters <= 64 characters

Successful Response

Media typeapplication/json
IncomingWebhookResponse
object
id
required
Id
string
created_at
Any of:
string format: date-time
updated_at
Any of:
string format: date-time
org_id
required
Org Id
string
name
required
Name
string
description
Any of:
string
type
required
Type
string
auth_key
required
Auth Key
string
lifespan
required
Lifespan
integer
caller_id_match_days
required
Caller Id Match Days
integer
external_id
Any of:
string
Examplegenerated
{
"id": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"org_id": "example",
"name": "example",
"description": "example",
"type": "example",
"auth_key": "example",
"lifespan": 1,
"caller_id_match_days": 1,
"external_id": "example"
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}